Debian Bug report logs - #633469
ICE: gcc-4.6: ICE on armhf with traverso-0.49.2-3

version graph

Package: gcc-4.6; Maintainer for gcc-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-4.6 is src:gcc-4.6.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sun, 10 Jul 2011 15:39:02 UTC

Severity: serious

Tags: patch, upstream

Merged with 633479

Found in version gcc-4.6/4.6.1-2

Fixed in version gcc-4.6/4.6.2-6

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR49030

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#633469; Package g++-4.6. (Sun, 10 Jul 2011 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 10 Jul 2011 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: ICE: gcc-4.6: ICE on armhf with traverso-0.49.2-3
Date: Sun, 10 Jul 2011 18:34:33 +0300
[Message part 1 (text/plain, inline)]
Package: g++-4.6
Version: 4.6.1-2
Severity: important

Hi,

g++ fails with an ICE on package traverso on armhf:

http://buildd.debian-ports.org/status/fetch.php?pkg=traverso&arch=armhf&ver=0.49.2-3&stamp=1307331580

Attached is the smallest trimmed down file that is able to reproduce the ICE:

$ g++-4.6 -O2 -c memops_testcase.cpp -o memops_testcase.o
memops_testcase.cpp: In function ‘void sample_move_d32u24_sS(char*,
audio_sample_t*, long unsigned int, long unsigned int,
dither_state_t*)’:
memops_testcase.cpp:28:1: internal compiler error: in
get_arm_condition_code, at config/arm/arm.c:17152
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.6/README.Bugs> for instructions.

Regards

Konstantinos
[memops_testcase.cpp (text/x-c++src, attachment)]

Set Bug forwarded-to-address to 'http://gcc.gnu.org/PR49030'. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Jul 2011 07:54:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Sat, 23 Jul 2011 07:54:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'g++-4.6' to 'gcc-4.6'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 16:09:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gcc-4.6/4.6.1-2. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 16:09:04 GMT) Full text and rfc822 format available.

Forcibly Merged 633469 633479. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 03 Dec 2011 16:09:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:43:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:06:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.